# Generated from rush3-3.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rush3

Name: rubygem-%{gem_name}
Version: 3.0.0
Release: 1%{?dist}
Summary: A Ruby replacement for bash+ssh
License: MIT
URL: https://github.com/protolif/rush
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.12.2
# BuildRequires: rubygem(pry) < 0.13
# BuildRequires: rubygem(jeweler) >= 2.3
# BuildRequires: rubygem(jeweler) < 3
# BuildRequires: rubygem(jeweler) >= 2.3.9
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
A Ruby replacement for bash+ssh, providing both an interactive shell and a
library.  Manage both local and remote unix systems from a single client.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/rush
%{_bindir}/rushd
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 3.0.0-1
- Initial package
